Get All Integration Users

get

/cpq/rest/v19/integrationUsers

This endpoint retrieves a list of integration users across all companies as JSON.

Request

Query Parameters
  • Excludes given link types from response. Supported only with produces type application/json.
    Allowed Values: [ "self", "child", "parent", "canonical", "next", "prev", "related" ]
  • Allows expansion of relationships. Supported only with produces type application/json.
    Allowed Values: [ "groups" ]
  • User fields to be returned in response. Supported only with produces type application/json.
  • Specifies the number of records to be fetched. Supported only with produces type application/json.
  • Specifies the starting point from which records are to be fetched. Supported only with produces type application/json.
  • Specifies a comma-separated list of fields to order the response by. Supported only with produces type application/json.
  • Criteria to filter the users. By default no filtering is applied.
  • Specifies the total records to be included in response or not. Supported only with produces type application/json.
Back to Top

Response

Supported Media Types

Default Response

List of intergation users.
Body ()
Root Schema : integrationUser-collection
Type: object
Show Source
Nested Schema : List of users
Type: array
Title: List of users
List of users
Show Source
Nested Schema : integrationUser
Type: object
Show Source
Nested Schema : Company details
Type: object
Title: Company details
User Company details. Applicable only for Users Across Companies
Show Source
Nested Schema : Currency
Type: object
Title: Currency
Currency preference of user. Value holds currency code
Show Source
Nested Schema : Date Format
Type: object
Title: Date Format
User preferred date time format
Show Source
Nested Schema : Groups
Type: object
Title: Groups
Groups to which the user belongs
Show Source
Nested Schema : Language
Type: object
Title: Language
Language preference of user. Value holds language code
Show Source
Nested Schema : Number Format
Type: object
Title: Number Format
Preferred number format of user
Show Source
Nested Schema : TimeZone of user
Type: object
Title: TimeZone of user
User preferred timezone
Show Source
Nested Schema : Type
Type: object
Title: Type
Type of the user
Show Source
Nested Schema : Units
Type: object
Title: Units
User preferred units
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : Group
Type: object
Title: Group
User group information
Show Source
Back to Top

Examples

The following example shows how to retrieve a list of integration users across all companies as JSON by submitting a GET request to the REST resource using cURL. For more information about cURL, see Use cURL.

curl -X GET  -H "Authorization: Bearer <token>" -H "Content-type: application/json" -H "Accept: application/json"
https://sitename.oracle.com/cpq/rest/v19/integrationUsers

Response Body Sample

{
  "items": [{
      "login": "_custom_user_6ab1180a3cce465983d1c000144b6f1b",
      "isNotifyFax": false,
      "isNotifyEmail": true,
      "isUserAdminPermEnabled": false,
      "isApplicationAdminPermEnabled": false,
      "isWebServicesOnly": true,
      "isAccessAdminPermEnabled": false,
      "isProxyPermEnabled": false,
      "partyId": 181556695830934950,
      "partyNumber": "BM_Zb69fNkzcp8",
      "dateModified": "2025-09-26T12:17:59.000Z",
      "dateAdded": "2025-09-26T12:17:59.000Z",
      "links": [{
          "rel": "self",
          "href": "http://sitename.oracle.com/cpq/rest/v19/users/BM_Zb69fNkzcp8"
        }, {
          "rel": "child",
          "href": "http://sitename.oracle.com/cpq/rest/v19/users/BM_Zb69fNkzcp8/groups"
        }
      ],
      "lastLogin": "2025-09-26T12:18:55.000Z",
      "type": {
        "value": "FULL_ACCESS",
        "displayValue": "FullAccess"
      },
      "language": {
        "value": "en_US",
        "displayValue": "English"
      },
      "currency": {
        "value": "USD",
        "displayValue": "US Dollar"
      },
      "numberFormat": {
        "value": 0,
        "displayValue": "####.##"
      },
      "timeZone": {
        "value": "America/Chicago",
        "displayValue": "(GMT-6:00 GMT-5:00) Chicago"
      },
      "units": {
        "value": 1,
        "displayValue": "English"
      },
      "dateFormat": {
        "value": 0,
        "displayValue": "MM/dd/yyyy h:mm a"
      },
      "status": {
        "value": 1,
        "displayValue": "Active"
      },
      "oauthClientId": "6ab1180a3cce465983d1c000144b6f1b",
      "company": {
        "name": "cpq-mdb",
        "loginName": "_host"
      }
    }
  ],
  "offset": 0,
  "limit": 1000,
  "count": 34,
  "hasMore": false,
  "links": [{
      "rel": "canonical",
      "href": "http://sitename.oracle.com/cpq/rest/v19/users"
    }, {
      "rel": "self",
      "href": "http://sitename.oracle.com/cpq/rest/v19/users?offset=0&limit=1000"
    }
  ]
}
Back to Top